package com.yovinchen.xlcs.acl.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.yovinchen.xlcs.model.acl.Admin;
import com.yovinchen.xlcs.vo.acl.AdminQueryVo;

import java.util.Map;

/**
 * ClassName: AdminService
 * Package: com.yovinchen.xlcs.acl.service
 * 用户管理
 *
 * @author yovinchen
 * @since 2023/9/14 10:44
 */
public interface AdminService extends IService<Admin> {

    /**
     * 用户分页列表
     *
     * @param pageParam
     * @param userQueryVo
     * @return
     */
    IPage<Admin> selectPage(Page<Admin> pageParam, AdminQueryVo userQueryVo);

    /**
     * 后台登录
     *
     * @param username
     * @param password
     * @return
     */
    Map<String, Object> loginAdmin(String username, String password);

    /**
     * 获取用户信息
     *
     * @return
     */
    Map<String, Object> getInfo(String token);
}
